package com.example.samplemqttrequestorapp;

import com.ibm.micro.client.mqttv3.MqttException;

import android.os.Bundle;
import android.app.Activity;
import android.content.Context;
import android.telephony.TelephonyManager;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.TextView;

public class MainActivity extends Activity {

	Requestor rq;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		rq = new Requestor(this, ((TelephonyManager) getSystemService(Context.TELEPHONY_SERVICE)).getDeviceId());
		rq.execute();

		// Clicking the "send" button sends a request
		((Button) findViewById(R.id.send)).setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				try {
					rq.publish();
				} catch (MqttException e) {
					e.printStackTrace();
				}
			}
		});

		// Clicking the "clear" button clears the text
		((Button) findViewById(R.id.clear)).setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				setText("");
			}
		});

	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		rq.disconnect();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	public void setText(String text) {
		((TextView) findViewById(R.id.response)).setText(text);
	}

	public void setConnected(boolean connected) {
		((CheckBox) findViewById(R.id.connected)).setChecked(connected);
	}

}
